Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1358040 - gnome-session-3.20.2-1.fc24.x86_64 breaks gnome-terminal
Summary: gnome-session-3.20.2-1.fc24.x86_64 breaks gnome-terminal
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-session
Version: 24
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-19 21:48 UTC by Gene Snider
Modified: 2017-08-08 15:42 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 15:42:38 UTC


Attachments (Terms of Use)

Description Gene Snider 2016-07-19 21:48:07 UTC
Description of problem:
After updating to gnome-session-3.20.2-1.fc24.x86_64, gnome-terminal fails to start.  The following related lines from journalctl show that gnome-terminal-server is failing.

---- From journalctl ----
Jul 19 13:03:03 Mobile-PC gnome-terminal-server[1874]: Non UTF-8 locale (ANSI_X3.4-1968) is not supported!
Jul 19 13:03:03 Mobile-PC systemd[1359]: gnome-terminal-server.service: Main process exited, code=exited, status=8/n/a
Jul 19 13:03:03 Mobile-PC systemd[1359]: gnome-terminal-server.service: Unit entered failed state.
Jul 19 13:03:03 Mobile-PC systemd[1359]: gnome-terminal-server.service: Failed with result 'exit-code'.



Version-Release number of selected component (if applicable):
3.20.2-1.fc24.x86_64

How reproducible:
Always.


Steps to Reproduce:
1.  Upgrade to gnome-session-3.20.2-1.fc24.x86_64.
2.  In an X session, try to start gnome-terminal.
3.

Actual results:
gnome-terminal fails to start

Expected results:
gnome-terminal starts

Additional info:
Downgrading gnome-session to 3.20.1-1.fc24.x86_64 fixes the problem.
gnome-session-wayland-session and gnome-session-xsession are upgraded/downgraded as well as gnome-session.

Comment 1 Gene Snider 2016-07-20 18:17:05 UTC
I figured out why this happens, the question is, is the new behaviour a bug or "working as intended?" For the last 8+ years, I've had the following two lines in my .bash_profile:

LC_ALL=C
export LC_ALL

This causes things like ls -l in a terminal, and file managers to NOT ignore case when sorting file/directory names. Apparently, the new version of gnome-session is confused by this and tries to start gnome-terminal-server with "C" instead of:

$ localectl
   System Locale: LANG=en_US.UTF-8
       VC Keymap: us
      X11 Layout: us

The output of localectl never changes whether or not the LC_ALL lines are in .bash_profile. However, gnome-terminal-server will start only if they are commented out.

Is this new behaviour expected?  

Gene

Comment 2 Fedora End Of Life 2017-07-25 21:54:11 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2017-08-08 15:42:38 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.